<?php

namespace Types;

class Fop_notification_frequency {
  
  

    // --- Statische Eigenschaften ---
  
  static private $values ;
  static private $valuesShort ;

    // --- Statische Methoden ---
  
  public static function ensureIsLoaded() { 
    
    
    // --- BLOCK: main ---
    
  // Can be called to ensure class is loaded and initialized

    
  }

  public static function toString($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$values[$x] ?? $x;
    
  }

  public static function toStringShort($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$valuesShort[$x] ?? $x;
    
  }

  public static function parse($x) { 
    
    
    // --- BLOCK: main ---
    
		$result = array_search($x, self::$values);
		if ($result !== false) return $result;
		$result = array_search($x, self::$valuesShort);
		if ($result !== false) return $result;
		return $result;
    
  }

  public static function initialize() { 
    
    
    // --- BLOCK: values ---
    
		self::$values['never'] = _('Nie');
	self::$values['instant'] = _('Sofort');
	self::$values['hourly'] = _('Stündliche Zusammenfassung');
	self::$values['daily'] = _('Tägliche Zusammenfassung');
	self::$values['weekly'] = _('Wöchentliche Zusammenfassung');
	self::$values['monthly'] = _('Monatliche Zusammenfassung');
	
    // --- BLOCK: valuesShort ---
    
		self::$valuesShort['never'] = _('Nie');
	self::$valuesShort['instant'] = _('Sofort');
	self::$valuesShort['hourly'] = _('Stündliche Zusammenfassung');
	self::$valuesShort['daily'] = _('Tägliche Zusammenfassung');
	self::$valuesShort['weekly'] = _('Wöchentliche Zusammenfassung');
	self::$valuesShort['monthly'] = _('Monatliche Zusammenfassung');
	
    
  }


  
  

  
  
}

\Types\Fop_notification_frequency::initialize(); 

